public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Swenson" <titanofold@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/postgis/
Date: Thu, 16 Nov 2017 15:29:31 +0000 (UTC)	[thread overview]
Message-ID: <1510846157.cc14b56e70570e3804910f0c566be7cc1df6d2fe.titanofold@gentoo> (raw)

commit:     cc14b56e70570e3804910f0c566be7cc1df6d2fe
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 16 15:26:57 2017 +0000
Commit:     Aaron Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Thu Nov 16 15:29:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc14b56e

dev-db/postgis: Bump to 2.4.2

Bump version to 2.4.2. Add additional USE flags to control optional
dependencies.

Closes: https://bugs.gentoo.org/634828
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-db/postgis/Manifest             |   1 +
 dev-db/postgis/metadata.xml         |  13 +++-
 dev-db/postgis/postgis-2.4.2.ebuild | 125 ++++++++++++++++++++++++++++++++++++
 3 files changed, 138 insertions(+), 1 deletion(-)

diff --git a/dev-db/postgis/Manifest b/dev-db/postgis/Manifest
index 0811dde086e..d4cda09966f 100644
--- a/dev-db/postgis/Manifest
+++ b/dev-db/postgis/Manifest
@@ -1,3 +1,4 @@
 DIST postgis-2.1.8.tar.gz 6811272 SHA256 7c2380b895fe7bda34c2e70deab3fcf4c12b13ab40d7501cdaa6fa36f1a6c662 SHA512 e8aeb739a1ecf95b224a3908d2af3aa38933b56c63713af30d14243653745436165b418a3368601a699b744f6fe61ce645c980319eb159395d68166a3815c5f4 WHIRLPOOL b6675fecbb922379bd50c351abe1553fdbda53543fce56451c688e25a3fa2e9d0813d8f3a349b623b85fcb4016fc4710f6746a224ba7673ec0d2106c7635d3d1
 DIST postgis-2.3.3.tar.gz 11342032 SHA256 723d43a1c8ca4cf06359ec0b7fd5521b355db4e37128a26fb8c661b1fe2fc930 SHA512 c0ec4b4b5c470e5f88d1bb72c528269a0cf954981385580db3333502c2da74e431b5a86e3d6427c839c3d4440122be18a69261c8205aa71c8aa4b790550c5e9c WHIRLPOOL 427d4637e0073ad549cd2e74d117b2dc2b0b0e5fff98f9a0bbee3514c00b3688dd56acd7bb3f1742eda61238cf8c5ab81cea6ead7ea5880261b753a86e0f847e
 DIST postgis-2.4.0.tar.gz 12576979 SHA256 02baa90f04da41e04b6c18eedfda53110c45ae943d4e65050f6d202f7de07d29 SHA512 813e8e9feb75b58673afaec2dda3b5d8fc586a0f483c553795c8ae2b917bb67a9741e8c901787a0b914c327848323239346f1d816aa60b47d5a7065596de0067 WHIRLPOOL 75403b5d1babdc1d714d29a6c1f86dfcd1503997536d6a35333b6e19c72de44aa131cba3c6a9a4f2ced59a280eb0eaee41696fa8440c2028f8555d6a2c4dcd3b
+DIST postgis-2.4.2.tar.gz 12470881 SHA256 23625bc99ed440d53a20225721095a3f5c653b62421c4d597c8038f0d7a321d9 SHA512 e268572d5cd009754ef05f5d2eedcac7e362fa47199459c637cd4d9050d2b648d4b2b3746cde0dce5a42be2606a432b64dc905f193e12cf0869e3dd6f820b425 WHIRLPOOL 5a87b34733dce189d6a30a4ca88599467ff0987c214b258d9d873975de2f746a26281a983d8f98f9d3758da121d0adc2384c8dc1d3d247130213020cecf887f1

diff --git a/dev-db/postgis/metadata.xml b/dev-db/postgis/metadata.xml
index 41af88acdf3..079d84079f2 100644
--- a/dev-db/postgis/metadata.xml
+++ b/dev-db/postgis/metadata.xml
@@ -10,6 +10,17 @@
 		<name>Gentoo Geosciences Project</name>
 	</maintainer>
 	<use>
-		<flag name="gtk">Build shp2pgsql-gui a graphical interface to shp2pgsql</flag>
+		<flag name="address-standardizer">
+			Normalize US and CA postal addresses
+		</flag>
+		<flag name="gtk">
+			Build graphical interface for shp2pgsql (shp2pgsql-gui)
+		</flag>
+		<flag name="mapbox">
+			Add capability to transform geometry into Mapbox Vector Tile
+		</flag>
+		<flag name="topology">
+			Build topology spatial types and functions
+		</flag>
 	</use>
 </pkgmetadata>

diff --git a/dev-db/postgis/postgis-2.4.2.ebuild b/dev-db/postgis/postgis-2.4.2.ebuild
new file mode 100644
index 00000000000..eb28a8841e0
--- /dev/null
+++ b/dev-db/postgis/postgis-2.4.2.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+POSTGRES_COMPAT=( 9.{2..6} 10 )
+POSTGRES_USEDEP="server"
+
+inherit autotools eutils postgres-multi versionator
+
+MY_PV=$(replace_version_separator 3 '')
+MY_P="${PN}-${MY_PV}"
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Geographic Objects for PostgreSQL"
+HOMEPAGE="http://postgis.net"
+SRC_URI="http://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="address-standardizer doc gtk static-libs mapbox test topology"
+
+RDEPEND="
+	${POSTGRES_DEP}
+	dev-libs/json-c
+	dev-libs/libxml2:2
+	>=sci-libs/geos-3.5.0
+	>=sci-libs/proj-4.6.0
+	>=sci-libs/gdal-1.10.0
+	address-standardizer? ( dev-libs/libpcre )
+	gtk? ( x11-libs/gtk+:2 )
+	mapbox? ( dev-libs/protobuf )
+"
+
+DEPEND="${RDEPEND}
+		doc? (
+				app-text/docbook-xsl-stylesheets
+				app-text/docbook-xml-dtd:4.5
+				dev-libs/libxslt
+				|| (
+					media-gfx/imagemagick[png]
+					media-gfx/graphicsmagick[imagemagick,png]
+				)
+		)
+		virtual/pkgconfig
+		test? ( dev-util/cunit )
+"
+
+PGIS="$(get_version_component_range 1-2)"
+
+REQUIRED_USE="test? ( doc ) ${POSTGRES_REQ_USE}"
+
+# Needs a running psql instance, doesn't work out of the box
+RESTRICT="test"
+
+MAKEOPTS+=' -j1'
+
+# These modules are built using the same *FLAGS that were used to build
+# dev-db/postgresql. The right thing to do is to ignore the current
+# *FLAGS settings.
+QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
+
+src_prepare() {
+	eapply "${FILESDIR}/${PN}-2.2.0-arflags.patch"
+
+	local AT_M4DIR="macros"
+	eautoreconf
+
+	postgres-multi_src_prepare
+}
+
+src_configure() {
+	local myargs=""
+
+	use gtk                  && myargs+=" --with-gui"
+
+	use address-standardizer || myargs+=" --without-address-standardizer"
+	use mapbox               || myargs+=" --without-protobuf"
+	use topology             || myargs+=" --without-topology"
+
+	postgres-multi_foreach econf ${myargs}
+}
+
+src_compile() {
+	postgres-multi_foreach emake
+	postgres-multi_foreach emake -C topology
+
+	if use doc ; then
+		postgres-multi_foreach emake comments
+		postgres-multi_foreach emake cheatsheets
+		postgres-multi_forbest emake -C doc html
+	fi
+}
+
+src_install() {
+	postgres-multi_foreach emake DESTDIR="${D}" install
+	postgres-multi_foreach emake -C topology DESTDIR="${D}" install
+	postgres-multi_forbest dobin ./utils/postgis_restore.pl
+
+	dodoc CREDITS TODO loader/README.* doc/*txt
+
+	docinto topology
+	dodoc topology/{TODO,README}
+
+	if use doc ; then
+		postgres-multi_foreach emake DESTDIR="${D}" comments-install
+
+		docinto html
+		postgres-multi_forbest dodoc doc/html/{postgis.html,style.css}
+
+		docinto html/images
+		postgres-multi_forbest dodoc doc/html/images/*
+	fi
+
+	use static-libs || find "${ED}" -name '*.a' -delete
+}
+
+pkg_postinst() {
+	ebegin "Refreshing PostgreSQL symlinks"
+	postgresql-config update
+	eend $?
+
+	elog "To finish installing PostGIS, follow the directions detailed at:"
+	elog "http://postgis.net/docs/manual-${PGIS}/postgis_installation.html#create_new_db_extensions"
+}


             reply	other threads:[~2017-11-16 15:29 UTC|newest]

Thread overview: 132+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-16 15:29 Aaron Swenson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-19 13:15 [gentoo-commits] repo/gentoo:master commit in: dev-db/postgis/ Patrick Lauer
2024-12-28  9:40 Patrick Lauer
2024-12-04  9:15 Sam James
2024-12-04  9:15 Sam James
2024-12-03  9:30 Sam James
2024-12-03  2:44 Sam James
2024-11-23 20:15 Arthur Zamarin
2024-11-23 20:15 Arthur Zamarin
2024-10-17 11:36 Patrick Lauer
2024-10-04 17:30 Arthur Zamarin
2024-10-04 17:30 Arthur Zamarin
2024-09-26 14:05 Patrick Lauer
2024-09-26 13:21 Patrick Lauer
2024-09-26 13:21 Patrick Lauer
2024-09-17  9:25 Patrick Lauer
2024-07-07 13:32 Patrick Lauer
2024-06-13  9:18 Patrick Lauer
2024-06-13  7:18 Patrick Lauer
2024-06-13  7:18 Patrick Lauer
2024-06-13  7:18 Patrick Lauer
2024-01-19 14:05 罗百科
2023-11-24  6:36 罗百科
2023-09-18 10:43 Aaron W. Swenson
2023-09-14 16:37 罗百科
2023-09-04 10:56 罗百科
2023-09-04  7:55 罗百科
2023-08-07 10:27 罗百科
2023-06-02 15:20 罗百科
2023-05-28 23:33 Sam James
2023-05-18 15:41 Andreas Sturmlechner
2023-05-01 15:55 David Seifert
2023-05-01 15:19 罗百科
2023-01-22  6:38 Sam James
2023-01-22  6:38 Sam James
2023-01-09  9:45 Sam James
2022-12-18  8:32 Sam James
2022-12-18  8:32 Sam James
2022-11-13 14:31 罗百科
2022-11-13 14:31 罗百科
2022-09-11  7:15 罗百科
2022-08-28  8:27 罗百科
2022-08-23 13:54 罗百科
2022-08-23  7:53 罗百科
2022-08-19  9:14 罗百科
2022-07-29  2:47 Sam James
2022-05-25  8:08 罗百科
2022-02-14  6:34 罗百科
2022-02-04 11:29 罗百科
2022-02-04 11:29 罗百科
2022-02-02  7:38 罗百科
2022-02-02  7:38 罗百科
2022-01-15  7:56 罗百科
2021-12-18  9:06 罗百科
2021-12-11 18:04 罗百科
2021-12-08  6:17 Sam James
2021-12-08  6:16 Sam James
2021-12-08  5:13 Sam James
2021-12-08  5:12 Sam James
2021-12-06 15:29 罗百科
2021-10-25 15:17 罗百科
2021-09-30 18:44 罗百科
2021-09-05 13:28 罗百科
2021-08-22 21:53 David Seifert
2021-08-18 19:39 Sam James
2021-07-03 16:44 罗百科
2021-06-01  7:01 罗百科
2021-03-02  9:14 罗百科
2021-02-23 15:29 Aaron W. Swenson
2021-02-18 21:47 Sam James
2021-02-18 21:47 Sam James
2021-02-18 21:44 Sam James
2021-02-18 21:44 Sam James
2020-12-18 23:19 Aaron W. Swenson
2020-11-22  9:08 罗百科
2020-11-22  8:36 罗百科
2020-08-18 17:57 罗百科
2020-08-14  0:49 Aaron W. Swenson
2020-07-18  6:46 罗百科
2020-02-26 17:23 Andreas Sturmlechner
2020-02-13 23:20 Andreas Sturmlechner
2020-02-03 11:31 Agostino Sarubbo
2020-02-03 11:28 Agostino Sarubbo
2020-01-31  9:56 Andreas Sturmlechner
2020-01-30 21:27 Andreas Sturmlechner
2020-01-30 21:27 Andreas Sturmlechner
2020-01-30 19:58 Andreas Sturmlechner
2020-01-28 22:13 Andreas Sturmlechner
2020-01-28 22:13 Andreas Sturmlechner
2019-10-20 16:20 罗百科
2019-10-13 19:48 罗百科
2019-08-13 18:51 罗百科
2019-07-22  9:21 Mikle Kolyada
2019-07-08 12:10 Thomas Deutschmann
2019-06-18 10:54 Aaron W. Swenson
2019-06-15 10:58 Aaron W. Swenson
2019-05-19 11:05 Aaron W. Swenson
2019-02-08 14:20 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-04 11:11 Aaron W. Swenson
2018-12-01 13:53 Aaron W. Swenson
2018-11-26 11:20 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-01-17 12:07 Aaron Swenson
2018-01-04 17:29 Mikle Kolyada
2017-12-19 21:45 Thomas Deutschmann
2017-12-19 15:46 Thomas Deutschmann
2017-10-06 13:41 Aaron Swenson
2017-10-05 14:07 Aaron Swenson
2017-10-01 17:55 Patrick Lauer
2017-09-29 16:58 Patrick Lauer
2017-09-24 16:50 Patrick Lauer
2017-09-18 18:50 Patrick Lauer
2017-09-17  2:56 Matt Turner
2017-07-10  2:27 Aaron Swenson
2017-04-08 21:41 Patrice Clement
2017-02-10 10:49 Amy Liffey
2017-02-03 12:04 Patrick Lauer
2016-11-20 22:54 Aaron Bauman
2016-11-20 14:16 Agostino Sarubbo
2016-11-20 14:15 Agostino Sarubbo
2016-10-18 17:41 Amy Winston
2016-10-18 17:41 Amy Winston
2016-09-24 13:45 Agostino Sarubbo
2016-06-17 15:07 Amy Winston
2016-06-17 14:59 Amy Winston
2016-06-17 14:59 Amy Winston
2016-03-27 12:02 Sam Jorna
2016-03-27 12:02 Sam Jorna
2016-02-27 22:56 Patrick Lauer
2015-12-15 12:32 Aaron Swenson
2015-12-15 12:32 Aaron Swenson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1510846157.cc14b56e70570e3804910f0c566be7cc1df6d2fe.titanofold@gentoo \
    --to=titanofold@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox